Bug 18812 - Xfree 4.0.1 Not working on Cyber 9385
Summary: Xfree 4.0.1 Not working on Cyber 9385
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-10 14:04 UTC by Joe Ceklosky
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-16 15:47:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Ceklosky 2000-10-10 14:04:11 UTC
The Xfree 4.0.1 package shipped with Redhat 7.0 does NOT
work with a Cyber 9385 chipset.  It does not autodetect it.
Even after a properly hand configured Xfree 4.0 config file
taken from a working Xfree 3.3.6 config file it does NOT work.
The configure WAS CONVERTED to the Xfree 4.0 format.

Comment 1 Alan Cox 2000-10-10 14:44:24 UTC
Does Xconfigurator --preferxf3 help. This will select the XFree86 3.3.x server
for your card. If this works then its an XFree 4 server bug I suspect


Comment 2 Mike A. Harris 2001-03-17 21:48:38 UTC
Run Xconfigurator to configure the card.  Also supply me with the output
of the X server logs, and a copy of your config file.  Please note the
config file for XFree86 4 is XF86Cnfig-4.

You might also consider trying the latest XFree86 packages from Rawhide.
They have improved video support for many cards.  4.0.2a might
solve the problem.

Comment 3 Joe Ceklosky 2001-03-28 03:27:54 UTC
Xfree from the RawHide's work, but the configure program has
troubles with screen clipping.  I needed the modelines from Xfree 3.3.6 
converted to the Xfree 4.0 format

Comment 4 Mike A. Harris 2001-05-25 12:46:08 UTC
If you provide the working modelines to me, I can look into putting them
into the next release.

Comment 5 Joe Ceklosky 2001-05-30 02:25:27 UTC
Here are the modelines:

4.X
Mode    "1024x768"
	DotClock    65.00
	HTimings    1024 1032 1176 1344
	VTimings    768 771 777 806
EndMode

3.X
ModeLine  "1024x768"   65.00 1024 1032 1176 1344 768 771 777 806 -hsync -vsync

Comment 6 Mike A. Harris 2002-01-23 13:51:47 UTC
Just an update... by the way, XFree86 3.3.6 Modeline syntax, also
works in 4.x config files.  4.x just has a newer way of
doing it also.

Comment 7 Mike A. Harris 2002-03-16 15:47:00 UTC
I assume this is a laptop.  If so, can you provide the details of it,
so we might be able to add a special entry to the Combos database?
Also, if the display is DDC compliant, we can make it autodetect as well.
If you have got a CD or floppy disk for the Laptop display panel, or
can otherwise obtain a Microsoft Windows .INF file for the display
panel, along with the output of "lspci -n", we can possibly get
this working automatically in the future for you.



Comment 8 Mike A. Harris 2002-04-20 22:10:29 UTC
Without the requested information, I cannot look into this further.


Note You need to log in before you can comment on or make changes to this bug.